"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpResponse = void 0;
class HttpResponse {
    constructor() {
        this.body = '';
        this.statusCode = 200;
        this.headers = {};
    }
    setHeader(name, value) {
        this.headers[name] = value;
    }
    send(body) {
        this.body = body;
        return this;
    }
    json(body) {
        this.setHeader('content-type', 'application/json');
        this.body = body;
        return this;
    }
}
exports.HttpResponse = HttpResponse;
